Bug 107942 - [MAINTAINER] mail/mew: update to 5.2
Summary: [MAINTAINER] mail/mew: update to 5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrey Slusar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-15 08:20 UTC by hiroto.kagotani
Modified: 2007-01-16 15:10 UTC (History)
0 users

See Also:


Attachments
file.diff (4.02 KB, patch)
2007-01-15 08:20 UTC, hiroto.kagotani
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hiroto.kagotani 2007-01-15 08:20:23 UTC
Update to 5.2

Fix: diff -ru ../mew-5.1/Makefile ./Makefile
--- ../mew-5.1/Makefile	Fri Jan  5 15:15:11 2007
+++ ./Makefile	Sun Jan 14 19:15:27 2007
@@ -7,8 +7,7 @@
 #
 
 PORTNAME=	mew
-PORTVERSION=	5.1
-PORTREVISION=	1
+PORTVERSION=	5.2
 CATEGORIES=	mail elisp
 MASTER_SITES=	http://www.Mew.org/Release/
 PKGNAMESUFFIX=	-${EMACS_PORT_NAME}
@@ -33,7 +32,7 @@
 .endif
 
 # manuals
-MAN1=		mewcat.1 mewdecode.1 mewencode.1 mewl.1 incm.1
+MAN1=		mew-pinentry.1 mewcat.1 mewdecode.1 mewencode.1 mewest.1 mewl.1 incm.1
 INFO=		mew
 .if !defined(NOPORTDOCS)
 INFO+=		mew.jis
diff -ru ../mew-5.1/distinfo ./distinfo
--- ../mew-5.1/distinfo	Thu Jul 20 04:23:42 2006
+++ ./distinfo	Sun Jan 14 19:11:26 2007
@@ -1,3 +1,3 @@
-MD5 (mew-5.1.tar.gz) = 0c913a789142f98623180eb111e28b07
-SHA256 (mew-5.1.tar.gz) = bedaabe37ddd52894f7129fd1240939b836f205a6f4d7c5a5072809f6dc1f336
-SIZE (mew-5.1.tar.gz) = 948533
+MD5 (mew-5.2.tar.gz) = be0ac05179daed9b7c1329c9264d0f17
+SHA256 (mew-5.2.tar.gz) = fff0c3e67f38d779552c4caea6dfe53fbe074f5fc653fdc0fd51ee0b5ce1f8ed
+SIZE (mew-5.2.tar.gz) = 969584
diff -ru ../mew-5.1/files/patch-bin_Makefile.in ./files/patch-bin_Makefile.in
--- ../mew-5.1/files/patch-bin_Makefile.in	Thu Jul 20 04:23:42 2006
+++ ./files/patch-bin_Makefile.in	Sun Jan 14 19:30:45 2007
@@ -1,16 +1,17 @@
---- bin/Makefile.in.orig	Tue Mar 15 16:51:31 2005
-+++ bin/Makefile.in	Tue Jul 11 19:41:47 2006
-@@ -25,7 +25,8 @@
+--- bin/Makefile.in.orig	Mon Oct 23 08:18:23 2006
++++ bin/Makefile.in	Sun Jan 14 19:30:35 2007
+@@ -25,7 +25,9 @@
  COFLAG = -o $@ 
  LIBS = @LIBS@
  
 -INSTALL = @INSTALL@
 +INSTALL_PROGRAM = @INSTALL_PROGRAM@
++INSTALL_SCRIPT = @INSTALL_SCRIPT@
 +INSTALL_DATA = @INSTALL_DATA@
  LN = ln
  RM = rm -f
  MKDIR = mkdir -p
-@@ -97,23 +98,23 @@
+@@ -101,27 +103,27 @@
  	-@if [ ! -d $(DESTDIR)$(bindir) ]; then \
  		$(MKDIR) $(DESTDIR)$(bindir); \
  	fi
@@ -22,8 +23,12 @@
  	done
 -	$(INSTALL) -m 555 $(PRG2) $(DESTDIR)$(bindir)
 -	$(INSTALL) -m 555 $(PRG3) $(DESTDIR)$(bindir)
+-	$(INSTALL) -m 555 $(PRG4) $(DESTDIR)$(bindir)
+-	$(INSTALL) -m 555 $(PRG5) $(DESTDIR)$(bindir)
 +	${INSTALL_PROGRAM} $(PRG2) $(DESTDIR)$(bindir)
 +	${INSTALL_PROGRAM} $(PRG3) $(DESTDIR)$(bindir)
++	${INSTALL_SCRIPT} $(PRG4) $(DESTDIR)$(bindir)
++	${INSTALL_SCRIPT} $(PRG5) $(DESTDIR)$(bindir)
  	-@if [ ! -d $(DESTDIR)$(mandir) ]; then \
  		$(MKDIR) $(DESTDIR)$(mandir); \
  	fi
@@ -35,8 +40,12 @@
  	done
 -	$(INSTALL) -m 444 $(MAN2) $(DESTDIR)$(mandir)
 -	$(INSTALL) -m 444 $(MAN3) $(DESTDIR)$(mandir)
+-	$(INSTALL) -m 444 $(MAN4) $(DESTDIR)$(mandir)
+-	$(INSTALL) -m 444 $(MAN5) $(DESTDIR)$(mandir)
 +	${INSTALL_DATA} $(MAN2) $(DESTDIR)$(mandir)
 +	${INSTALL_DATA} $(MAN3) $(DESTDIR)$(mandir)
++	${INSTALL_DATA} $(MAN4) $(DESTDIR)$(mandir)
++	${INSTALL_DATA} $(MAN5) $(DESTDIR)$(mandir)
  
  ##
  ## End of Makefile
diff -ru ../mew-5.1/files/patch-mew-key.el ./files/patch-mew-key.el
--- ../mew-5.1/files/patch-mew-key.el	Fri Jan  5 15:15:12 2007
+++ ./files/patch-mew-key.el	Sun Jan 14 19:20:22 2007
@@ -1,6 +1,6 @@
---- mew-key.el.orig	Wed Jul 12 18:22:49 2006
-+++ mew-key.el	Thu Jan  4 20:14:11 2007
-@@ -609,13 +609,16 @@
+--- mew-key.el.orig	Thu Jan  4 15:49:11 2007
++++ mew-key.el	Sun Jan 14 19:19:22 2007
+@@ -610,13 +610,16 @@
  ;;;
  
  (defun mew-which-mew-etc ()
diff -ru ../mew-5.1/pkg-plist ./pkg-plist
--- ../mew-5.1/pkg-plist	Fri Jan  5 15:15:12 2007
+++ ./pkg-plist	Sun Jan 14 19:33:42 2007
@@ -1,8 +1,10 @@
 @comment $FreeBSD: ports/mail/mew/pkg-plist,v 1.8 2007/01/05 06:15:12 hrs Exp $
 bin/incm
+bin/mew-pinentry
 bin/mewcat
 bin/mewdecode
 bin/mewencode
+bin/mewest
 bin/mewl
 %%PORTDOCS%%%%DOCSDIR%%/00api
 %%PORTDOCS%%%%DOCSDIR%%/00changes
@@ -12,11 +14,11 @@
 %%PORTDOCS%%%%DOCSDIR%%/00changes.3
 %%PORTDOCS%%%%DOCSDIR%%/00changes.4.1
 %%PORTDOCS%%%%DOCSDIR%%/00changes.4.2
+%%PORTDOCS%%%%DOCSDIR%%/00changes.5.1
 %%PORTDOCS%%%%DOCSDIR%%/00copyright
 %%PORTDOCS%%%%DOCSDIR%%/00copyright.jis
 %%PORTDOCS%%%%DOCSDIR%%/00diff
 %%PORTDOCS%%%%DOCSDIR%%/00readme
-%%PORTDOCS%%%%DOCSDIR%%/00readme.smime
 %%PORTDOCS%%%%DOCSDIR%%/00roadmap
 %%PORTDOCS%%%%DOCSDIR%%/mew.dot.emacs
 %%PORTDOCS%%%%DOCSDIR%%/mew.dot.mew


Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-01-15 08:20:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anray

anray@ wants to have elisp PRs
Comment 2 dfilter service freebsd_committer 2007-01-16 15:02:49 UTC
anray       2007-01-16 15:02:43 UTC

  FreeBSD ports repository

  Modified files:
    mail/mew             Makefile distinfo pkg-plist 
    mail/mew/files       patch-bin_Makefile.in patch-mew-key.el 
  Log:
  Update to 5.2
  
  PR:             ports/107942
  Submitted by:   Hiroto Kagotani (maintainer)
  
  Revision  Changes    Path
  1.42      +2 -3      ports/mail/mew/Makefile
  1.8       +3 -3      ports/mail/mew/distinfo
  1.3       +13 -4     ports/mail/mew/files/patch-bin_Makefile.in
  1.2       +3 -3      ports/mail/mew/files/patch-mew-key.el
  1.9       +4 -2      ports/mail/mew/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Andrey Slusar freebsd_committer 2007-01-16 15:03:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!